/**
 * NodeJS application to connect to MySQL and make database queries.
 */

// System Imports.

// User Imports.
const { userConfirmation } = require('./src/helper_functions.js');
const { Logging, testLogLevels } = require('./src/logging.js');


// Initialize logging.
let logger = Logging.init('./logging/');


/**
 * Program start.
 */
async function main() {
    console.info('Starting program.');
    console.log('');

    console.log('');
    console.log('Testing log levels...');
    console.log('');
    testLogLevels(logger);
    console.log('');
    console.log('Log level tests complete.');
    console.log('');

    console.log('');
    console.info('Terminating program.');
}


main();
